﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.IO;

namespace SMS_Gateway
{



    abstract public class SOAPGateway : Gateway
    {
        public abstract void Login(Credentials cred);
        public abstract void LogOut();

        public SOAPGateway(String senderID)
            : base(senderID)
        {

        }

        public abstract override bool SendSingleSMSTo(Credentials cred, SingleSMS sms, SMSContact cont, bool unicode);

        public override abstract bool IsConnected { get; }
    }

}
